Bug 205616 - bonobo-activation-server hang
bonobo-activation-server hang
Product: Fedora
Classification: Fedora
Component: libbonobo (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-09-07 12:59 EDT by Volker Braun
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: libbonobo-2.14.0-1.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-08 18:00:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix file descriptor leak (491 bytes, patch)
2006-09-07 13:08 EDT, Volker Braun
no flags Details | Diff
Updated libbonobo spec file. (8.15 KB, application/octet-stream)
2006-09-07 13:10 EDT, Volker Braun
no flags Details

  None (edit)
Description Volker Braun 2006-09-07 12:59:47 EDT
Description of problem:

Sometimes (especially in combination with the mail-notification applet from
fedora extras), I cannot open any new windows on the gnome desktop. "top" shows
bonobo-activation-server using 100% cpu. 

Further investigation shows that bonobo-activation-server ran out of file
descriptors. If spawning fails, it does not clean up open file descriptors.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install mail-notification 3.0 and configure it to watch your evolution inbox.
2. Close evolution.
3. Watch /proc/<pid of bonobo-activation-server>/fd/ fill up.
Actual results:

bonobo-activation-server runs out of file descriptors

Expected results:

No leak.

Additional info:

Fix is in the following comment. This might be the cause for bug 189475, too.
Comment 1 Volker Braun 2006-09-07 13:08:53 EDT
Created attachment 135785 [details]
Fix file descriptor leak

FreeBSD has a patch addressing memory/file descriptor leaks:


Taking their patch directly did not work for me, though. It also addresses
memory leaks and these parts lead to a double free error. I isolated the file
descriptor leak part of this patch, it is in the attachment.
Comment 2 Volker Braun 2006-09-07 13:10:42 EDT
Created attachment 135786 [details]
Updated libbonobo spec file.
Comment 3 Volker Braun 2006-09-08 18:00:42 EDT
Apparently this has been fixed in the updates today,
libbonobo-2.14.0-1.fc5.1.rpm works. Marking as resolved.

Note You need to log in before you can comment on or make changes to this bug.